Groovy 1.7.0

## groovy.xml.streamingmarkupsupport
Class BaseMarkupBuilder.Document

    java.lang.Object
      Built
          groovy.xml.streamingmarkupsupport.BaseMarkupBuilder.Document

All Implemented Interfaces:
  GroovyInterceptable

    class BaseMarkupBuilder.Document
    extends Built

Nested Class Summary
`class` | `BaseMarkupBuilder.Document.OutputSink`

Constructor Summary
`BaseMarkupBuilder.Document()`

Method Summary
`def` | `Document(Closure root, Map namespaceMethodMap)`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setProperty(String property, Object newValue)`

Constructor Detail

### BaseMarkupBuilder.Document

    BaseMarkupBuilder.Document()

Method Detail

### Document

    public def Document(Closure root, Map namespaceMethodMap)

### getProperty

    public Object getProperty(String property)

### invokeMethod

    public Object invokeMethod(String name, Object args)

### setProperty

    public void setProperty(String property, Object newValue)

Copyright © 2003-2009 The Codehaus. All rights reserved.